<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$file = "purchase.php";
$maindb = 'purmain';

$fseries = $_SESSION["series_" . $dbname];
$keycond = " and `series`='$fseries'";
$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `partyrname` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `invno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `mydt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `discount` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `netamt` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `partyname` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `invno` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `mydt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `discount` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `netamt` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `partyname`";
}  else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `vouchno`";
}  else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `invno`";
}  else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `mydt`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `discount`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `netamt`";
}
 

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

mysqli_query($conn,  "Create temporary table `pur` SELECT a.`vouchno`,  
                            Date_Format(`vouchdt`, '%d/%m/%Y') as mydt, a.`invno`, 
                            a.`discount`, a.`netamt`,b.name as partyname FROM $maindb 
                            a,accmast b WHERE b.grpcode = 009 AND b.accode = a.party 
                            $keycond") or die(mysqli_error($conn));
    
    $srchresult = "SELECT * FROM `pur` WHERE vouchno != '' $cond  $sortcond $ordcond  LIMIT $rangeFrom,$rangeTo "or die(mysqli_error($conn));
    
    $result = mysqli_query($conn, $srchresult)or die(mysqli_error($conn));
$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {


    $rows[] = [ 'success' => true,
        'value'       => $ctr,
        'keyfld'      => $keyfld,
        'vouchno'     => $r['vouchno'],
        'invno'       => $r['invno'],
        'mydt'        => $r['mydt'],
        'partyname'   => $r['partyname'],
        'discount'    => $r['discount'],
        'netamt'      => $r['netamt'],
        'action'      => "$file?mode=edit&vouchno=$r[vouchno]&series=$row[series]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
